Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90	(revision 10774)
@@ -104,4 +104,5 @@
          IF(lwp) WRITE(numout,*) 'div_cur : horizontal velocity divergence and relative vorticity'
          IF(lwp) WRITE(numout,*) '~~~~~~~   NOT optimal for auto-tasking case'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -285,4 +286,5 @@
          IF(lwp) WRITE(numout,*) 'div_cur : horizontal velocity divergence and'
          IF(lwp) WRITE(numout,*) '~~~~~~~   relative vorticity'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 10774)
@@ -152,4 +152,5 @@
          IF( nadv ==  3 )   WRITE(numout,*) '         flux form   : UBS       scheme is used'
          IF( nadv == -1 )   WRITE(numout,*) '         esopa test: use all advection formulation'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 10774)
@@ -66,4 +66,5 @@
          WRITE(numout,*) 'dyn_adv_cen2 : 2nd order flux form momentum advection'
          WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 10774)
@@ -90,4 +90,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_adv_ubs : UBS flux form momentum advection'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 10774)
@@ -136,4 +136,5 @@
          IF(lwp) THEN 
          WRITE(numout,*) " ! restore original density"
+         IF(lflush) CALL flush(numout)
          ENDIF
          rhd(:,:,:) = z_rhd_st(:,:,:)     ! restore original density
@@ -190,4 +191,5 @@
          WRITE(numout,*) '      s-coord. (Pressure Jacobian: Cubic polynomial)    ln_hpg_prj    = ', ln_hpg_prj
          WRITE(numout,*) '      time stepping: centered (F) or semi-implicit (T)  ln_dynhpg_imp = ', ln_dynhpg_imp
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -260,4 +262,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_zco : hydrostatic pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   z-coordinate case '
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -325,4 +328,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_zps : hydrostatic pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   z-coordinate with partial steps - vector optimization'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -423,4 +427,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_sco : hydrostatic pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, OPA original scheme used'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -514,4 +519,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_isf : hydrostatic pressure gradient trend for ice shelf'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, OPA original scheme used'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -768,4 +774,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_djc : hydrostatic pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, density Jacobian with cubic polynomial scheme'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -1001,4 +1008,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:hpg_prj : hydrostatic pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, cubic spline pressure Jacobian'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 10774)
@@ -88,4 +88,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_keg : kinetic energy gradient trend, scheme number=', kscheme
          IF(lwp) WRITE(numout,*) '~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 10774)
@@ -100,4 +100,5 @@
             IF(lwp) WRITE(numout,*) 'dyn_ldf : no lateral diffusion on momentum setup'
             IF(lwp) WRITE(numout,*) '~~~~~~~ '
+            IF(lflush) CALL flush(numout)
          ENDIF
       END SELECT
@@ -139,4 +140,5 @@
          WRITE(numout,*) '          horizontal (geopotential)   ln_dynldf_hor   = ', ln_dynldf_hor
          WRITE(numout,*) '          iso-neutral                 ln_dynldf_iso   = ', ln_dynldf_iso
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -229,4 +231,5 @@
          IF( nldf ==  4 )   WRITE(numout,*) '              laplacian and bilaplacian operators'
          IF( nldf ==  5 )   WRITE(numout,*) '              rotated laplacian and bilaplacian operators'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 10774)
@@ -90,4 +90,5 @@
          WRITE(numout,*) 'dyn_ldf_bilap : iso-level bilaplacian operator'
          WRITE(numout,*) '~~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 10774)
@@ -98,4 +98,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_ldf_bilapg : horizontal biharmonic operator in s-coordinate'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
+         IF(lwp .AND. lflush) CALL flush(numout)
          !                                      ! allocate dyn_ldf_bilapg arrays
          IF( dyn_ldf_bilapg_alloc() /= 0 )   CALL ctl_stop('STOP', 'dyn_ldf_bilapg: failed to allocate arrays')
@@ -123,4 +124,5 @@
             IF(lwp) WRITE(numout,*) ' max slop: u', SQRT( MAXVAL(uslp*uslp)), ' v ', SQRT(MAXVAL(vslp)),  &
                &                             ' wi', sqrt(MAXVAL(wslpi))     , ' wj', sqrt(MAXVAL(wslpj))
+            IF(lwp .AND. lflush) CALL flush(numout)
          endif
 !!end
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 10774)
@@ -127,4 +127,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate horizontal diffusive operator'
          !                                      ! allocate dyn_ldf_bilap arrays
+         IF(lflush) CALL flush(numout)
          IF( dyn_ldf_iso_alloc() /= 0 )   CALL ctl_stop('STOP', 'dyn_ldf_iso: failed to allocate arrays')
       ENDIF
@@ -151,4 +152,5 @@
             IF(lwp) WRITE(numout,*) ' max slop: u', SQRT( MAXVAL(uslp*uslp)), ' v ', SQRT(MAXVAL(vslp)),  &
                &                             ' wi', sqrt(MAXVAL(wslpi))     , ' wj', sqrt(MAXVAL(wslpj))
+            IF(lwp .AND. lflush) CALL flush(numout)
          endif
 !!end
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_lap.F90	(revision 10774)
@@ -70,4 +70,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_ldf : iso-level harmonic (laplacian) operator'
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
+         IF(lflush) CALL flush(numout)
       ENDIF
       !                                                ! ===============
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 10774)
@@ -145,4 +145,5 @@
             WRITE(numout,*)
          ENDIF
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -304,7 +305,9 @@
       CALL lbc_lnk( zunep, 'U', -1.0_wp )
       CALL lbc_lnk( zvnep, 'V', -1.0_wp )
-      WRITE(numout,*) '      zunep: min, max       = ', unemin,unemax
-      WRITE(numout,*) '      zvnep: min, max       = ', vnemin,vnemax
-      WRITE(numout,*)
+      IF(lwp .AND. nprint > 0) THEN
+         WRITE(numout,*) '      zunep: min, max       = ', unemin,unemax
+         WRITE(numout,*) '      zvnep: min, max       = ', vnemin,vnemax
+         WRITE(numout,*)
+      ENDIF
 
       !!  Compute, once and for all, the horizontal divergence (zhdivnep)
@@ -328,7 +331,11 @@
          END DO
       END DO
-      WRITE(numout,*) '   zhdivnep: min, max       = ', zhdivmin,zhdivmax
-      WRITE(numout,*) '   zmrotnep: min, max       = ', zmrotmin,zmrotmax
-      WRITE(numout,*)
+
+      IF(lwp .AND. nprint > 0) THEN
+         WRITE(numout,*) '   zhdivnep: min, max       = ', zhdivmin,zhdivmax
+         WRITE(numout,*) '   zmrotnep: min, max       = ', zmrotmin,zmrotmax
+         WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
+      ENDIF
 
 !!    Deallocate temporary workspace arrays, which are all local to
@@ -384,4 +391,5 @@
       IF(lwp) WRITE(numout,*) 'horizontal velocity divergence and'
       IF(lwp) WRITE(numout,*) 'relative vorticity of Neptune flow'
+      IF(lwp .AND. lflush) CALL flush(numout)
 #if defined key_noslip_accurate
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 10774)
@@ -119,4 +119,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_nxt : time stepping'
          IF(lwp) WRITE(numout,*) '~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 10774)
@@ -231,4 +231,5 @@
          WRITE(numout,*) '     Free surface with time splitting       lk_dynspg_ts  = ', lk_dynspg_ts
          WRITE(numout,*) '     Filtered free surface cst volume       lk_dynspg_flt = ', lk_dynspg_flt
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -266,4 +267,5 @@
          IF( nspg ==  1 )   WRITE(numout,*) '     free surface with time splitting scheme'
          IF( nspg ==  2 )   WRITE(numout,*) '     filtered free surface'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 10774)
@@ -75,4 +75,5 @@
          !
          IF( lk_vvl .AND. lwp ) WRITE(numout,*) '              lk_vvl=T : spg is included in dynhpg'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 10774)
@@ -120,4 +120,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_spg_flt : surface pressure gradient trend'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   (free surface constant volume case)'
+         IF(lwp .AND. lflush) CALL flush(numout)
        
          ! set to zero free surface specific arrays
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10774)
@@ -195,4 +195,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~   free surface with time splitting'
          IF(lwp) WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
          !
          IF (neuler==0) ll_init=.TRUE.
@@ -1161,4 +1162,5 @@
       IF(lwp) WRITE(numout,*) '     Barotropic time step [s] is :', rdtbt
       IF(lwp) WRITE(numout,*) '     Maximum Courant number is   :', zcmax
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
       IF ((.NOT.ln_bt_av).AND.(.NOT.ln_bt_fw)) THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 10774)
@@ -234,4 +234,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:vor_ene : vorticity term: energy conserving scheme'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -346,4 +347,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:vor_mix : vorticity term: mixed energy/enstrophy conserving scheme'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -463,4 +465,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:vor_ens : vorticity term: enstrophy conserving scheme'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -587,4 +590,5 @@
          IF(lwp) WRITE(numout,*) 'dyn:vor_een : vorticity term: energy and enstrophy conserving scheme'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
 #if ! defined key_vvl
          IF( .NOT.ALLOCATED(ze3f) ) THEN
@@ -743,4 +747,5 @@
          WRITE(numout,*) '           enstrophy and energy conserving scheme     ln_dynvor_een = ', ln_dynvor_een
          WRITE(numout,*) '           enstrophy and energy conserving scheme (old) ln_dynvor_een_old= ', ln_dynvor_een_old
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -798,4 +803,5 @@
          IF( nvor ==  3 )   WRITE(numout,*) '         vorticity scheme : energy and enstrophy conserving scheme'
          IF( nvor == -1 )   WRITE(numout,*) '         esopa test: use all lateral physics options'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 10774)
@@ -74,4 +74,5 @@
          IF(lwp)WRITE(numout,*)
          IF(lwp)WRITE(numout,*) 'dyn_zad : arakawa advection scheme'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
@@ -188,4 +189,5 @@
          IF(lwp)WRITE(numout,*)
          IF(lwp)WRITE(numout,*) 'dyn_zad_zts : arakawa advection scheme with sub-timesteps'
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 10774)
@@ -136,4 +136,5 @@
          IF( nzdf ==  0 )   WRITE(numout,*) '              Explicit time-splitting scheme'
          IF( nzdf ==  1 )   WRITE(numout,*) '              Implicit (euler backward) scheme'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 10774)
@@ -73,4 +73,5 @@
          WRITE(numout,*) 'dyn_zdf_exp : vertical momentum diffusion - explicit operator'
          WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 10774)
@@ -81,4 +81,5 @@
          IF(lwp) WRITE(numout,*) 'dyn_zdf_imp : vertical momentum diffusion implicit operator'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          IF( lk_vvl ) THEN   ;    r_vvl = 1._wp       ! Variable volume indicator
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 10759)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 10774)
@@ -87,4 +87,5 @@
          IF(lwp) WRITE(numout,*) 'ssh_nxt : after sea surface height'
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
       ENDIF
@@ -184,4 +185,5 @@
          IF(lwp) WRITE(numout,*) 'wzv : now vertical velocity '
          IF(lwp) WRITE(numout,*) '~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
          !
          wn(:,:,jpk) = 0._wp                  ! bottom boundary condition: w=0 (set once for all)
@@ -265,4 +267,5 @@
          IF(lwp) WRITE(numout,*) 'ssh_swp : Asselin time filter and swap of sea surface height'
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 