Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg.F90
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg.F90	(revision 10776)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg.F90	(revision 10777)
@@ -22,5 +22,4 @@
    USE dynspg_ts      ! surface pressure gradient     (dyn_spg_ts  routine)
    USE sbctide        ! 
-   USE updtide        ! 
    USE tide_mod       !
    USE trd_oce        ! trends: ocean variables
Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg_ts.F90
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg_ts.F90	(revision 10776)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/DYN/dynspg_ts.F90	(revision 10777)
@@ -45,5 +45,4 @@
    USE bdydyn2d        ! open boundary conditions on barotropic variables
    USE sbctide         ! tides
-   USE updtide         ! tide potential
    USE tide_mod        !
    USE sbcwave         ! surface wave
Index: MO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/SBC/updtide.F90
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/SBC/updtide.F90	(revision 10776)
+++ 	(revision )
@@ -1,81 +1,0 @@
-MODULE updtide
-   !!======================================================================
-   !!                       ***  MODULE  updtide  ***
-   !! Initialization of tidal forcing
-   !!======================================================================
-   !! History :  9.0  !  07  (O. Le Galloudec)  Original code
-   !!----------------------------------------------------------------------
-   !!   upd_tide       : update tidal potential
-   !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and tracers variables
-   USE dom_oce         ! ocean space and time domain
-   USE in_out_manager  ! I/O units
-   USE phycst          ! physical constant
-   USE sbctide         ! tide potential variable
-   USE tide_mod, ONLY: ln_tide_ramp, rdttideramp, kt_tide, omega_tide, pot_astro, amp_pot, phi_pot, nb_harmo
-
-   IMPLICIT NONE
-   PUBLIC
-
-   PUBLIC   upd_tide   ! called in dynspg_... modules
-  
-   !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$
-   !! Software governed by the CeCILL license (see ./LICENSE)
-   !!----------------------------------------------------------------------
-CONTAINS
-
-   SUBROUTINE upd_tide( kt, kit, time_offset )
-      !!----------------------------------------------------------------------
-      !!                 ***  ROUTINE upd_tide  ***
-      !!
-      !! ** Purpose :   provide at each time step the astronomical potential
-      !!
-      !! ** Method  :   computed from pulsation and amplitude of all tide components
-      !!
-      !! ** Action  :   pot_astro   actronomical potential
-      !!----------------------------------------------------------------------      
-      INTEGER, INTENT(in)           ::   kt      ! ocean time-step index
-      INTEGER, INTENT(in), OPTIONAL ::   kit     ! external mode sub-time-step index (lk_dynspg_ts=T)
-      INTEGER, INTENT(in), OPTIONAL ::   time_offset ! time offset in number 
-                                                     ! of internal steps             (lk_dynspg_ts=F)
-                                                     ! of external steps             (lk_dynspg_ts=T)
-      !
-      INTEGER  ::   joffset      ! local integer
-      INTEGER  ::   ji, jj, jk   ! dummy loop indices
-      REAL(wp) ::   zt, zramp    ! local scalar
-      REAL(wp), DIMENSION(nb_harmo) ::   zwt 
-      !!----------------------------------------------------------------------      
-      !
-      !                               ! tide pulsation at model time step (or sub-time-step)
-      zt = ( kt - kt_tide ) * rdt
-      !
-      joffset = 0
-      IF( PRESENT( time_offset ) )   joffset = time_offset
-      !
-      IF( PRESENT( kit ) )   THEN
-         zt = zt + ( kit +  joffset - 1 ) * rdt / REAL( nn_baro, wp )
-      ELSE
-         zt = zt + joffset * rdt
-      ENDIF
-      !
-      zwt(:) = omega_tide(:) * zt
-
-      pot_astro(:,:) = 0._wp          ! update tidal potential (sum of all harmonics)
-      DO jk = 1, nb_harmo   
-         pot_astro(:,:) = pot_astro(:,:) + amp_pot(:,:,jk) * COS( zwt(jk) + phi_pot(:,:,jk) )      
-      END DO
-      !
-      IF( ln_tide_ramp ) THEN         ! linear increase if asked
-         zt = ( kt - nit000 ) * rdt
-         IF( PRESENT( kit ) )   zt = zt + ( kit + joffset -1) * rdt / REAL( nn_baro, wp )
-         zramp = MIN(  MAX( zt / (rdttideramp*rday) , 0._wp ) , 1._wp  )
-         pot_astro(:,:) = zramp * pot_astro(:,:)
-      ENDIF
-      !
-   END SUBROUTINE upd_tide
-
-  !!======================================================================
-
-END MODULE updtide
Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90	(revision 10776)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/src/OCE/TDE/tide_mod.F90	(revision 10777)
@@ -24,4 +24,5 @@
    PUBLIC   tide_init_load
    PUBLIC   tide_init_potential
+   PUBLIC   upd_tide         ! called in dynspg_... modules
 
    INTEGER, PUBLIC, PARAMETER ::   jpmax_harmo = 19   !: maximum number of harmonic
@@ -601,4 +602,55 @@
    END FUNCTION dayjul
 
+
+   SUBROUTINE upd_tide( kt, kit, time_offset )
+      !!----------------------------------------------------------------------
+      !!                 ***  ROUTINE upd_tide  ***
+      !!
+      !! ** Purpose :   provide at each time step the astronomical potential
+      !!
+      !! ** Method  :   computed from pulsation and amplitude of all tide components
+      !!
+      !! ** Action  :   pot_astro   actronomical potential
+      !!----------------------------------------------------------------------      
+      INTEGER, INTENT(in)           ::   kt      ! ocean time-step index
+      INTEGER, INTENT(in), OPTIONAL ::   kit     ! external mode sub-time-step index (lk_dynspg_ts=T)
+      INTEGER, INTENT(in), OPTIONAL ::   time_offset ! time offset in number 
+                                                     ! of internal steps             (lk_dynspg_ts=F)
+                                                     ! of external steps             (lk_dynspg_ts=T)
+      !
+      INTEGER  ::   joffset      ! local integer
+      INTEGER  ::   ji, jj, jk   ! dummy loop indices
+      REAL(wp) ::   zt, zramp    ! local scalar
+      REAL(wp), DIMENSION(nb_harmo) ::   zwt 
+      !!----------------------------------------------------------------------      
+      !
+      !                               ! tide pulsation at model time step (or sub-time-step)
+      zt = ( kt - kt_tide ) * rdt
+      !
+      joffset = 0
+      IF( PRESENT( time_offset ) )   joffset = time_offset
+      !
+      IF( PRESENT( kit ) )   THEN
+         zt = zt + ( kit +  joffset - 1 ) * rdt / REAL( nn_baro, wp )
+      ELSE
+         zt = zt + joffset * rdt
+      ENDIF
+      !
+      zwt(:) = omega_tide(:) * zt
+
+      pot_astro(:,:) = 0._wp          ! update tidal potential (sum of all harmonics)
+      DO jk = 1, nb_harmo   
+         pot_astro(:,:) = pot_astro(:,:) + amp_pot(:,:,jk) * COS( zwt(jk) + phi_pot(:,:,jk) )      
+      END DO
+      !
+      IF( ln_tide_ramp ) THEN         ! linear increase if asked
+         zt = ( kt - nit000 ) * rdt
+         IF( PRESENT( kit ) )   zt = zt + ( kit + joffset -1) * rdt / REAL( nn_baro, wp )
+         zramp = MIN(  MAX( zt / (rdttideramp*rday) , 0._wp ) , 1._wp  )
+         pot_astro(:,:) = zramp * pot_astro(:,:)
+      ENDIF
+      !
+   END SUBROUTINE upd_tide
+
    !!======================================================================
 END MODULE tide_mod