Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10779)
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10779)
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 1440.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 1350.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10779)
@@ -31,5 +31,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 480.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 450.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
Index: /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10779)
@@ -30,5 +30,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
Index: /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10779)
@@ -28,5 +28,5 @@
 &namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
 /
 !-----------------------------------------------------------------------
@@ -75,5 +75,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 3         !  frequency of SBC module call
+   nn_fsbc     = 2         !  frequency of SBC module call
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
Index: /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref	(revision 10778)
+++ /NEMO/releases/release-4.0/cfgs/SHARED/namelist_ref	(revision 10779)
@@ -37,5 +37,5 @@
    cn_exp      =  "ORCA2"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    5475   !  last  time step (std 5475)
+   nn_itend    =    5840   !  last  time step (std 5840)
    nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_time0    =       0   !  initial time of day in hhmm
@@ -54,7 +54,7 @@
    nn_istate   =       0   !  output the initial state (1) or not (0)
    ln_rst_list = .false.   !  output restarts at list of times using nn_stocklist (T) or at set frequency with nn_stock (F)
-   nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_stock    =    5840   !  frequency of creation of a restart file (modulo referenced to 1)
    nn_stocklist = 0,0,0,0,0,0,0,0,0,0 ! List of timesteps when a restart file is to be written
-   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nn_it000)
+   nn_write    =    5840   !  frequency of write in the output file   (modulo referenced to nn_it000)
    ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
    ln_cfmeta   = .false.   !  output additional data to netCDF files required for compliance with the CF metadata standard
@@ -70,5 +70,5 @@
    rn_isfhmin  =    1.00   !  treshold [m] to discriminate grounding ice from floating ice
    !
-   rn_rdt      = 5760.     !  time step for the dynamics and tracer
+   rn_rdt      = 5400.     !  time step for the dynamics and tracer
    rn_atfp     =    0.1    !  asselin time filter parameter
    !
@@ -189,5 +189,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 5         !  frequency of SBC module call
+   nn_fsbc     = 2         !  frequency of SBC module call
       !                    !  (control sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
@@ -871,5 +871,5 @@
    ln_dynvor_eeT = .false. !  energy conserving scheme (een using e3t)
    ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 1          ! =0  e3f = mi(mj(e3t))/4 
+      nn_een_e3f = 0          ! =0  e3f = mi(mj(e3t))/4 
       !                       ! =1  e3f = mi(mj(e3t))/mi(mj( tmask))
    ln_dynvor_msk = .false. !  vorticity multiplied by fmask (=T)        ==>>> PLEASE DO NOT ACTIVATE
Index: /utils/CI/sette/sette.sh
===================================================================
--- /utils/CI/sette/sette.sh	(revision 10778)
+++ /utils/CI/sette/sette.sh	(revision 10779)
@@ -296,6 +296,6 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_LONG\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 990
-    set_namelist namelist_cfg nn_stock 495
+    set_namelist namelist_cfg nn_itend 1000
+    set_namelist namelist_cfg nn_stock 500
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -342,7 +342,7 @@
     cd ${EXE_DIR}
     set_namelist namelist_cfg cn_exp \"O2L3P_SHORT\"
-    set_namelist namelist_cfg nn_it000 496
-    set_namelist namelist_cfg nn_itend 990
-    set_namelist namelist_cfg nn_stock 495
+    set_namelist namelist_cfg nn_it000 501
+    set_namelist namelist_cfg nn_itend 1000
+    set_namelist namelist_cfg nn_stock 500
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -366,7 +366,7 @@
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
-    set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000495_restart\"
-    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000495_restart_trc\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000495_restart_ice\"
+    set_namelist namelist_cfg cn_ocerst_in \"O2L3P_LONG_00000500_restart\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000500_restart_trc\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000500_restart_ice\"
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
@@ -386,10 +386,10 @@
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/O2L3P_LONG_00000495_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000495_restart_trc_${L_NPROC}.nc .
-        ln -sf ../LONG/O2L3P_LONG_00000495_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_trc_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3P_LONG_00000500_restart_ice_${L_NPROC}.nc .
         if [ ${USING_ICEBERGS} == "yes" ]
             then
-             ln -sf ../LONG/O2L3P_LONG_icebergs_00000495_restart_${L_NPROC}.nc O2L3P_LONG_00000495_restart_icebergs_${L_NPROC}.nc
+             ln -sf ../LONG/O2L3P_LONG_icebergs_00000500_restart_${L_NPROC}.nc O2L3P_LONG_00000500_restart_icebergs_${L_NPROC}.nc
         fi
     done
@@ -417,5 +417,5 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_48\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 990
+    set_namelist namelist_cfg nn_itend 1000
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -465,5 +465,5 @@
     set_namelist namelist_cfg cn_exp \"O2L3P_84\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 990
+    set_namelist namelist_cfg nn_itend 1000
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4