Index: NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DOM/domvvl.F90
===================================================================
--- NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DOM/domvvl.F90	(revision 10793)
+++ NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DOM/domvvl.F90	(revision 10795)
@@ -617,13 +617,4 @@
       ENDIF
 
-!! TO BE DELETED
-!!$      gdept_b(:,:,:) = gdept_n(:,:,:)
-!!$      gdepw_b(:,:,:) = gdepw_n(:,:,:)
-
-!!$      e3t_n(:,:,:) = e3t_a(:,:,:)
-!!$      e3u_n(:,:,:) = e3u_a(:,:,:)
-!!$      e3v_n(:,:,:) = e3v_a(:,:,:)
-!! TO BE DELETED
-
       ! Compute all missing vertical scale factor and depths
       ! ====================================================
@@ -663,8 +654,4 @@
       ! Local depth and Inverse of the local depth of the water
       ! -------------------------------------------------------
-!! TO BE DELETED
-!!$      hu_n(:,:) = hu_a(:,:)   ;   r1_hu_n(:,:) = r1_hu_a(:,:)
-!!$      hv_n(:,:) = hv_a(:,:)   ;   r1_hv_n(:,:) = r1_hv_a(:,:)
-!! TO BE DELETED
       !
       ht(:,:) = e3t(:,:,1,kNnn) * tmask(:,:,1)
Index: NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DYN/dynnxt.F90
===================================================================
--- NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DYN/dynnxt.F90	(revision 10793)
+++ NEMO/branches/2019/dev_r10721_KERNEL-02_Storkey_Coward_IMMERSE_first_steps/src/OCE/DYN/dynnxt.F90	(revision 10795)
@@ -176,25 +176,4 @@
       ! Time filter and swap of dynamics arrays
       ! ------------------------------------------
-!! TO BE DELETED
-!!$      IF( neuler == 0 .AND. kt == nit000 ) THEN        !* Euler at first time-step: only swap
-!!$         DO jk = 1, jpkm1
-!!$            un(:,:,jk) = ua(:,:,jk)                         ! un <-- ua
-!!$            vn(:,:,jk) = va(:,:,jk)
-!!$         END DO 
-!!$         IF( .NOT.ln_linssh ) THEN                          ! e3._b <-- e3._n
-!!gm BUG ????    I don't understand why it is not : e3._n <-- e3._a  
-!!$            DO jk = 1, jpkm1
-!               e3t_b(:,:,jk) = e3t_n(:,:,jk)
-!               e3u_b(:,:,jk) = e3u_n(:,:,jk)
-!               e3v_b(:,:,jk) = e3v_n(:,:,jk)
-               !
-!!$               e3t_n(:,:,jk) = e3t_a(:,:,jk)
-!!$               e3u_n(:,:,jk) = e3u_a(:,:,jk)
-!!$               e3v_n(:,:,jk) = e3v_a(:,:,jk)
-!!$            END DO
-!!gm BUG end
-!!$         ENDIF
-!! TO BE DELETED
-                                                            ! 
          
       IF( .NOT.( neuler == 0 .AND. kt == nit000 ) ) THEN    !* Leap-Frog : Asselin filter and swap
@@ -207,11 +186,4 @@
                      puu(ji,jj,jk) = puu(ji,jj,jk) + atfp * ( uu(ji,jj,jk,kNm1) - 2._wp * puu(ji,jj,jk) + uu(ji,jj,jk,kNp1) )
                      pvv(ji,jj,jk) = pvv(ji,jj,jk) + atfp * ( vv(ji,jj,jk,kNm1) - 2._wp * pvv(ji,jj,jk) + vv(ji,jj,jk,kNp1) )
-                     !
-!! TO BE DELETED
-!!$                     ub(ji,jj,jk) = zuf                      ! ub <-- filtered velocity
-!!$                     vb(ji,jj,jk) = zvf
-!!$                     un(ji,jj,jk) = ua(ji,jj,jk)             ! un <-- ua
-!!$                     vn(ji,jj,jk) = va(ji,jj,jk)
-!! TO BE DELETED
                   END DO
                END DO
@@ -276,11 +248,4 @@
                         puu(ji,jj,jk) = puu(ji,jj,jk) + atfp * ( uu(ji,jj,jk,kNm1) - 2._wp * puu(ji,jj,jk) + uu(ji,jj,jk,kNp1) )
                         pvv(ji,jj,jk) = pvv(ji,jj,jk) + atfp * ( vv(ji,jj,jk,kNm1) - 2._wp * pvv(ji,jj,jk) + vv(ji,jj,jk,kNp1) )
-                        !
-!! TO BE DELETED
-!!$                        ub(ji,jj,jk) = zuf                      ! ub <-- filtered velocity
-!!$                        vb(ji,jj,jk) = zvf
-!!$                        un(ji,jj,jk) = ua(ji,jj,jk)             ! un <-- ua
-!!$                        vn(ji,jj,jk) = va(ji,jj,jk)
-!! TO BE DELETED
                      END DO
                   END DO
@@ -305,11 +270,4 @@
                         puu(ji,jj,jk) = ( zue3n + atfp * ( zue3b - 2._wp * zue3n  + zue3a ) ) / ze3u_f(ji,jj,jk)
                         pvv(ji,jj,jk) = ( zve3n + atfp * ( zve3b - 2._wp * zve3n  + zve3a ) ) / ze3v_f(ji,jj,jk)
-                        !
-!! TO BE DELETED
-!!$                        ub(ji,jj,jk) = zuf                     ! ub <-- filtered velocity
-!!$                        vb(ji,jj,jk) = zvf
-!!$                        un(ji,jj,jk) = ua(ji,jj,jk)            ! un <-- ua
-!!$                        vn(ji,jj,jk) = va(ji,jj,jk)
-!! TO BE DELETED
                      END DO
                   END DO