Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/AMM12/EXPREF/namelist_cfg	(revision 10800)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/AMM12/EXPREF/namelist_cfg	(revision 10801)
@@ -154,22 +154,21 @@
 &nam_tide      !   tide parameters                                      (default: OFF)
 !-----------------------------------------------------------------------
-   ln_tide     = .true.    ! Activate tides
-      ln_tide_pot   = .true.  !  use tidal potential forcing
-
-   clname(1)     =   'Q1'   !  name of constituent
-   clname(2)     =   'O1'
-   clname(3)     =   'P1'
-   clname(4)     =   'S1'
-   clname(5)     =   'K1'
-   clname(6)     =   '2N2'
-   clname(7)     =   'MU2'
-   clname(8)     =   'N2'
-   clname(9)     =   'NU2'
-   clname(10)    =   'M2'
-   clname(11)    =   'L2'
-   clname(12)    =   'T2'
-   clname(13)    =   'S2'
-   clname(14)    =   'K2'
-   clname(15)    =   'M4'
+   ln_tide     = .true.        ! Activate tides
+      ln_tide_pot     = .true. !  use tidal potential forcing
+   sn_tide_cnames(1)  = 'Q1'   !  name of constituent
+   sn_tide_cnames(2)  = 'O1'
+   sn_tide_cnames(3)  = 'P1'
+   sn_tide_cnames(4)  = 'S1'
+   sn_tide_cnames(5)  = 'K1'
+   sn_tide_cnames(6)  = '2N2'
+   sn_tide_cnames(7)  = 'MU2'
+   sn_tide_cnames(8)  = 'N2'
+   sn_tide_cnames(9)  = 'NU2'
+   sn_tide_cnames(10) = 'M2'
+   sn_tide_cnames(11) = 'L2'
+   sn_tide_cnames(12) = 'T2'
+   sn_tide_cnames(13) = 'S2'
+   sn_tide_cnames(14) = 'K2'
+   sn_tide_cnames(15) = 'M4'
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SHARED/namelist_ref	(revision 10800)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SHARED/namelist_ref	(revision 10801)
@@ -573,6 +573,6 @@
             !      
       ln_tide_ramp  = .false.               !  Use linear ramp for tides at startup
-         rdttideramp   =    0.                 !  ramp duration in days
-      clname(1)     = 'DUMMY'               !  name of constituent - all tidal components must be set in namelist_cfg
+         rn_tide_ramp_dt = 0.               !  ramp duration in days
+      sn_tide_cnames(1) = 'DUMMY'               !  name of constituent - all tidal components must be set in namelist_cfg
 /
 !-----------------------------------------------------------------------
Index: /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 10800)
+++ /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 10801)
@@ -157,14 +157,14 @@
 &nam_tide      !   tide parameters                                      (default: OFF)
 !-----------------------------------------------------------------------
-   ln_tide     = .true.      ! Activate tides
-      ln_tide_pot   = .false.                !  use tidal potential forcing
-      clname(1)     =   'M2'    !  name of constituent
-      clname(2)     =   'S2'
-      clname(3)     =   'N2'
-      clname(4)     =   'K2'
-      clname(5)     =   'K1'
-      clname(6)     =   'O1'
-      clname(7)     =   'P1'
-      clname(8)     =   'Q1'
+   ln_tide     = .true.           ! Activate tides
+      ln_tide_pot       = .false. !  use tidal potential forcing
+      sn_tide_cnames(1) =   'M2'  !  name of constituent
+      sn_tide_cnames(2) =   'S2'
+      sn_tide_cnames(3) =   'N2'
+      sn_tide_cnames(4) =   'K2'
+      sn_tide_cnames(5) =   'K1'
+      sn_tide_cnames(6) =   'O1'
+      sn_tide_cnames(7) =   'P1'
+      sn_tide_cnames(8) =   'Q1'
 /
 !-----------------------------------------------------------------------